Skip to main content
`Ctrl`+`K`

# SNESFASGetSmoother

Gets the default smoother on a level.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetSmoother(SNES snes, PetscInt level, SNES *smooth)

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- level - the level (0 is coarsest) to supply

## Output Parameter

- smooth - the smoother

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetInjection()`, `SNESFASSetRestriction()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages